Search documentation of ExStreamClient

# ExStreamClient.Model.UpsertPushTemplateRequest (ExStreamClient v0.1.10)

View Source

Schema representing a UpsertPushTemplateRequest

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.UpsertPushTemplateRequest{
      enable_push: boolean() | nil,
      event_type: :"reaction.new" | :"message.updated" | :"message.new",
      push_provider_name: String.t() | nil,
      push_provider_type: :apn | :firebase,
      template: String.t() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()